Bug 851948 - ccache 3.1.8 for epel6
ccache 3.1.8 for epel6
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora EPEL
Classification: Fedora
Component: ccache (Show other bugs)
el6
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 02:22 EDT by Christopher Meng
Modified: 2012-09-08 04:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 04:53:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2012-08-27 02:22:03 EDT
Hi,

Can the packager do an update for this?

Thank you!

ccache 3.1.8

Release date: 2012-08-11

New features and improvements
Made paths to dependency files relative in order to increase cache hits.

Added work-around to make ccache work with buggy GCC 4.1 when creating a pre-compiled header.

Clang plugins are now hashed to catch plugin upgrades.

Bug fixes
Fixed crash when the current working directory has been removed.

Fixed crash when stderr is closed.

Corrected a corner case when parsing backslash escapes in string literals.

Paths are now correctly canonicalized when computing paths relative to the base directory.

Other
Made git version macro work when compiling outside of the source directory.

Fixed static_assert macro definition clash with GCC 4.7.
Comment 1 Ville Skyttä 2012-08-27 08:42:14 EDT
Probably not because ccache >= 3.1.7 causes a known incompatibility with EL6's gcc, see bug 709561. Is there something in particular in 3.1.8 you're looking for?
Comment 2 Ville Skyttä 2012-09-08 04:53:22 EDT
Closing due to lack of feedback.

Note You need to log in before you can comment on or make changes to this bug.